Subject: bug#22136: [osx] core dump while building emacs-25

From: Alex Dunn <[email-masked]>
Date: Wed, 09 Dec 2015 20:20:44 -0800

`make -C ../lisp update-subdirs` on the emacs-25 branch has been
reliably causing a core dump the past two or three days.  Here are the
build logs: https://gist.github.com/dunn/ff087e9b533d373ab10b#file-03-make-L568

It doesn’t cause the build to fail (except for when I made some changes
to the source tree that I can’t reproduce; logs here if anyone’s
interested: https://gist.github.com/dunn/43f10877f11c97ab28f0#file-03-make-L291) so
I don’t know how serious an issue this is.  It occurs with -j1 and -j4,
with Clang and with GCC 5.3.0.

System config included in the logs, but for the sake of convenience:

CPU: quad-core 64-bit haswell
OS X: 10.11.2-x86_64
Xcode: 7.1.1
CLT: 7.2.0.0.1.1447826929

🌲  clang -v
Apple LLVM version 7.0.0 (clang-700.1.76)
Target: x86_64-apple-darwin15.2.0
Thread model: posix

🌲  gcc-5 -v
Using built-in specs.
COLLECT_GCC=gcc-5
COLLECT_LTO_WRAPPER=/usr/local/Cellar/gcc/5.3.0/libexec/gcc/x86_64-apple-darwin15.0.0/5.3.0/lto-wrapper
Target: x86_64-apple-darwin15.0.0
Configured with: ../configure --build=x86_64-apple-darwin15.0.0 --prefix=/usr/local/Cellar/gcc/5.3.0 --libdir=/usr/local/Cellar/gcc/5.3.0/lib/gcc/5 --enable-languages=c,c++,objc,obj-c++,fortran --program-suffix=-5 --with-gmp=/usr/local/opt/gmp --with-mpfr=/usr/local/opt/mpfr --with-mpc=/usr/local/opt/libmpc --with-isl=/usr/local/opt/isl --with-system-zlib --enable-libstdcxx-time=yes --enable-stage1-checking --enable-checking=release --enable-lto --with-build-config=bootstrap-debug --disable-werror --with-pkgversion='Homebrew gcc 5.3.0' --with-bugurl=https://github.com/Homebrew/homebrew/issues --enable-plugin --disable-nls --enable-multilib
Thread model: posix
gcc version 5.3.0 (Homebrew gcc 5.3.0)

If there’s any necessary information I’m forgetting please let me know.